Retrieve the page feed

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/feed

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • deep boolean

    return all of the subform records as well

  • javascript_state boolean

    will exclude javascript state if set to 0

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • created_by string
    • created_date string
    • created_device_id string
    • created_location string
    • id number Required
    • javascript_state string
    • modified_by string
    • modified_date string
    • modified_device_id string
    • modified_location string
    • parent_element_id number
    • parent_page_id number
    • parent_record_id number
    • server_modified_date string
GET /profiles/{profile_id}/pages/{page_id}/feed
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/feed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "created_by": "tony",
    "created_date": "2018-04-18 17:23:57 +0000",
    "created_device_id": "Server",
    "created_location": "Server",
    "id": 3,
    "javascript_state": "{}",
    "modified_by": "tony",
    "modified_date": "2018-04-18 17:23:57 +0000",
    "modified_device_id": "Server",
    "modified_location": "Server",
    "my_element_1": [
      {
        "created_by": "tonyplug",
        "created_date": "2018-04-18 17:30:08 +0000",
        "created_device_id": "API",
        "created_location": "API",
        "id": 3,
        "javascript_state": "{}",
        "modified_by": "onlychild",
        "modified_date": "2018-04-18 17:33:31 +0000",
        "modified_device_id": "7054e0d8d6901e8ef10611ea2e25a31319cc4174",
        "modified_location": "39.744230:-76.609999:246.626373:65.000000:10.000000:-1.000000:-1.000000:1524072811.204094",
        "my_element_1": "2015-05-12 14:38:19 +0000",
        "my_element_2": "Tony Ruth",
        "my_element_3": "Green",
        "my_element_4": "Turtle",
        "parent_element_id": 121091346,
        "parent_page_id": 290804421,
        "parent_record_id": 3,
        "server_modified_date": "2018-04-18 17:33:33 +0000"
      }
    ],
    "my_element_2": null,
    "parent_element_id": 0,
    "parent_page_id": 0,
    "parent_record_id": 0,
    "server_modified_date": "2018-04-18 17:23:57 +0000"
  }
]